# Obtain global acceleration monitoring information - GetPathXMetric

## Overview

Obtain global acceleration monitoring information






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `GetPathXMetric`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.scloudsg.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **ProjectId** | string | Project ID. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |**Yes**|
| **ResourceId** | string | Resource ID, such as upath ID and uga ID |**Yes**|
| **BeginTime** | int | Query start time, 10-digit timestamp |**Yes**|
| **EndTime** | int | Query end time, 10-digit timestamp |**Yes**|
| **MetricName.N** | string | Query the monitoring metrics. Currently, only the following four items are allowed: NetworkOut: Outbound bandwidth, NetworkIn: Inbound bandwidth, NetworkOutUsage: Outbound bandwidth usage rate, NetworkInUsage: Inbound bandwidth usage rate. |**Yes**|
| **ResourceType** | string | upath: Acceleration Line, uga: Acceleration Instance |**Yes**|
| **LineId** | string | Specific line id, call the DescribePathXLineConfig interface to get the line list |**Yes**|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **DataSet** | [*MetricPeriod*](#metricperiod) | Monitoring Data Result Set |No|

#### Data Model


#### MetricPeriod

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **NetworkOut** | array[[*MatricPoint*](#matricpoint)] | Outgoing Bandwidth |No|
| **NetworkIn** | array[[*MatricPoint*](#matricpoint)] | Inbound Bandwidth |No|
| **NetworkOutUsage** | array[[*MatricPoint*](#matricpoint)] | Outbound Bandwidth Usage |No|
| **NetworkInUsage** | array[[*MatricPoint*](#matricpoint)] | Inbound Bandwidth Usage |No|

#### MatricPoint

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Timestamp** | int |  |No|
| **Value** | int |  |No|

## Example

### Request Example
    
```
https://api.scloudsg.com/?Action=GetPathXMetric
&ProjectId=org-ejcxxx
&ResourceType=upath
&ResourceId=upath-1boe2u
&BeginTime=1568797253
&EndTime=1568800853
&LineId=line_cn_afr-nigeria
&MetricName.0=NetworkOutUsage
&MetricName.1=NetworkInUsage
```

### Response Example
    
```json
{
  "Action": "GetPathXMetricResponse",
  "DataSet": {
    "NetworkIn": null,
    "NetworkInUsage": [
      {
        "Timestamp": 1568797260,
        "Value": 12
      },
      {
        "Timestamp": 1568797320,
        "Value": 18
      },
      {
        "Timestamp": 1568797380,
        "Value": 17
      },
      {
        "Timestamp": 1568797440,
        "Value": 17
      }
    ],
    "NetworkOut": null,
    "NetworkOutUsage": [
      {
        "Timestamp": 1568797260,
        "Value": 14
      },
      {
        "Timestamp": 1568797320,
        "Value": 23
      },
      {
        "Timestamp": 1568797380,
        "Value": 21
      },
      {
        "Timestamp": 1568797440,
        "Value": 20
      }
    ]
  },
  "Message": "",
  "RetCode": 0
}
```





